package handler

import (
	"webserv/pkg/logger"
        "webserv/internal/logic"
)

type HandlerConfig struct {
        Logic *logic.Logic
}

type Handler struct {
	log     *logger.Logger
        lg      *logic.Logic
}

func NewHandler(conf *HandlerConfig) (*Handler, error) {
	var err error
	hand := &Handler{
		log: logger.NewLogger("handler"),
		lg: conf.Logic,
	}
	return hand, err
}

